local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS

PrefabFiles = {
	"norman",
	"ghost",
	"agetha",
	"book_agetha"
}

ComponentFiles = {
	"wickedwitch",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/norman.tex" ),
	Asset( "ATLAS", "images/saveslot_portraits/norman.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/norman.tex" ),
	Asset( "ATLAS", "images/selectscreen_portraits/norman.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/norman_silho.tex" ),
	Asset( "ATLAS", "images/selectscreen_portraits/norman_silho.xml" ),
	
    Asset( "IMAGE", "bigportraits/norman.tex" ),
	Asset( "ATLAS", "bigportraits/norman.xml" ),
						
	Asset( "IMAGE", "images/map_icons/norman.tex" ),
	Asset( "ATLAS", "images/map_icons/norman.xml" ),
}

function aSpawn(player)
    if player.components.wickedwitch then
        player.components.wickedwitch:findAgetha()
    end
end

GLOBAL.STRINGS.NAMES.AGETHA = "Agetha"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.AGETHA = "Doesn't look like a wicked witch to me."
GLOBAL.STRINGS.NAMES.BOOK_AGETHA = "Bedtime Stories"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BOOK_AGETHA = "Just some bedtime stories."

AddModCharacter("norman")
AddPrefabPostInit("ghost")
AddPrefabPostInit("agetha")
AddPrefabPostInit("book_agetha")
AddComponentPostInit("wickedwitch")
AddMinimapAtlas("images/map_icons/norman.xml")
AddSimPostInit(aSpawn)